﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Interactions;

namespace XamDialogWindowInput
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        XamDialogWindow xamWin;
        TextBox txtBox;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            CreateInputDialog();
            LayoutRoot.Children.Add(xamWin);
        }

        void okBtn_Click(object sender, RoutedEventArgs e)
        {
            nameLbl.Content = txtBox.Text;
            xamWin.Close();
        }


        private void CreateInputDialog()
        {
            xamWin = new XamDialogWindow()
            {
                Width = 200,
                Height = 150
            };

            StackPanel stPantel = new StackPanel();
            stPantel.Orientation = Orientation.Vertical;
            Label label = new Label() { Content = "Enter Your Name:" };
            txtBox = new TextBox();
            Button okBtn = new Button() { Content = "OK", Width = 100, Height = 25 };
            okBtn.Click += new RoutedEventHandler(okBtn_Click);
            stPantel.Children.Add(label);
            stPantel.Children.Add(txtBox);
            stPantel.Children.Add(okBtn);

            xamWin.Content = stPantel;
            xamWin.IsModal = true;
        }
    }
}
